<?php
/*
Plugin Name: inSync Collection
Plugin URI: insync-collection
Description: The inSync Collection for Genesis Blocks
Version: 1.0
Author: Appfinite
Author URI: https://appfinite.com
License: GPLv3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/

function insync_collection() {
	// Ensure a proper version of Genesis Blocks is active before continuing.
	if ( ! function_exists( 'genesis_blocks_register_layout_component' ) ) {
		return;
	}
	// Register the insync Home Layout
	genesis_blocks_register_layout_component(
		[
			'type'       => 'layout',
			'key'        => 'insync_home',
			'name'       => 'inSync Home Page',
			'content'    =>  require 'layouts/home.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Home',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/insync_layout_thumbnail_home.png',
			'collection' => [
                'slug'  => 'insync',
                'label' => 'inSync Collection',
                'thumbnail'      => plugin_dir_url(__FILE__) . 'assets/insync_section_thumbnail_home.png',
            ],
		],
	);
	// Register the insync Hero Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'insync_hero',
			'name'       => 'insync Hero',
			'content'    =>  require 'sections/hero.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Hero',
				'Photo',
				'Header',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/hero.png',
            'collection' => [
                'slug'  => 'insync',
                'label' => 'inSync Collection',
            ],
		],
	);
	// Register the insync 3 Columns Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'insync_3_columns',
			'name'       => 'insync 3 Columns',
			'content'    =>  require 'sections/3-columns.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'4 Columns',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/3-columns.png',
			'collection' => [
                'slug'  => 'insync',
                'label' => 'inSync Collection',
            ],
		],
	);
	// Register the insync Email/Newsletter Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'insync_email_newsletter',
			'name'       => 'insync Email Newsletter',
			'content'    =>  require 'sections/email-newsletter.php',
			'category'   => [
				'Email Newsletter',
			],
			'keywords'   => [
				'Testimonials',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/email-newsletter.png',
			'collection' => [
                'slug'  => 'insync',
                'label' => 'inSync Collection',
            ],
		],
	);
	// Register the insync Features Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'insync_features',
			'name'       => 'insync Features',
			'content'    =>  require 'sections/features.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Features',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/features.png',
			'collection' => [
                'slug'  => 'insync',
                'label' => 'inSync Collection',
            ],
		],
	);
	// Register the insync Testimonials Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'insync_testimonials',
			'name'       => 'insync Testimonials',
			'content'    =>  require 'sections/testimonials.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Testimonials',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/testimonials.png',
			'collection' => [
                'slug'  => 'insync',
                'label' => 'inSync Collection',
            ],
		],
	);
	// Register the insync Call To Action Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'insync_call_to_action',
			'name'       => 'insync Call To Action',
			'content'    =>  require 'sections/call-to-action.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'CTA',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/call-to-action.png',
			'collection' => [
                'slug'  => 'insync',
                'label' => 'inSync Collection',
            ],
		],
	);
}
add_action( 'plugins_loaded', 'insync_collection', 12 );
